互換性のあるJava環境 - 7.1

Talend Open Studio for ESB インストレーションおよびアップグレードガイド Mac

EnrichVersion
7.1
EnrichProdName
Talend Open Studio for ESB
task
インストールとアップグレード
EnrichPlatform
Talend ESB
Talend Runtime
Talend Studio

次の表は、Talend製品を使用するためにダウンロードしてインストールするべき推奨Java環境に関する情報を示しています。

コンパイラー準拠レベルは、ジョブコード生成に使用されるJavaバージョンに対応します。このオプションは、Studio環境設定で変更できます。詳細は、『Talend Studioユーザーガイド』を参照して下さい。

注: 全てのTalend製品および、Hadoopクラスターなどの関連するサードパーティアプリケーションは、コンプライアンスのために同じJavaバージョンを使用する必要があります。Talendでは、関連するサードパーティアプリケーションをインストールまたはアップグレードする前に、 サポートされているJavaバージョンを確認することを推奨しています。

このドキュメンテーションで使用する用語の意味は以下のとおりです。

  • 推奨: 経験とカスタマー事例に基づいてTalendにより推奨される環境を示します。
  • サポート: リストされているコンポーネントまたはサービスの使用においてサポートされる環境を示します。
  • 制限付きでサポート: メモで説明されている特定の条件付きでTalendによってサポートされる環境を示します。

Studio Java環境

サポートタイプ JREバージョン メモ
推奨 OpenJDK 8 推奨されるディストリビューション: Zulu
推奨 Oracle 8 Studio JDKコンパイラー準拠レベル1.8 (デフォルト)

サーバーJava環境

サーバーモジュールの内容:

  • Talend ESB サーバー
  • Talend Runtime
JREバージョン Talend JobServer Talend MDM Server Talend ESB/Talend Runtime Talend ESB/マイクロサービス ビッグデータディストリビューション Talend Server Application コメント/制限
OpenJDK 8 (R) (R) (R) (R) Java 1.8と互換性あり (R) 推奨されるディストリビューション: Zulu
Oracle 8 (R) (R) (R) (R) Java 1.8と互換性あり (R) Studio JDKコンパイラー準拠レベル1.8と互換性あり